org.apache.jmeter.report.processor

## Class ErrorsSummaryConsumer

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.AbstractSummaryConsumer<java.lang.Long>
      - - org.apache.jmeter.report.processor.ErrorsSummaryConsumer

- All Implemented Interfaces:
    SampleConsumer, SampleProcessor, SampleProducer

      public class ErrorsSummaryConsumer
      extends AbstractSummaryConsumer<java.lang.Long>

  The class ErrorSummaryConsumer provides a consumer that calculates error statistics.

  Since:
    3.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.jmeter.report.processor.AbstractSummaryConsumer

      `AbstractSummaryConsumer.SummaryInfo`

  - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.report.processor.AbstractSummaryConsumer

      `RESULT_VALUE_DATA, RESULT_VALUE_IS_CONTROLLER, RESULT_VALUE_ITEMS, RESULT_VALUE_OVERALL, RESULT_VALUE_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_VALUE_TITLES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorsSummaryConsumer()` Instantiates a new errors summary consumer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ListResultData` | `createDataResult(java.lang.String key, java.lang.Long data)` Creates a result item for information identified by the specified key.
    `protected ListResultData` | `createResultTitles()` Creates the result containing titles of columns.
    `protected java.lang.String` | `getKeyFromSample(Sample sample)` Gets the identifier key from sample.
    `void` | `stopConsuming()` Stops the consuming process.
    `protected void` | `updateData(AbstractSummaryConsumer.SummaryInfo info, Sample sample)` Update the stored data with the data from the specified sample.

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSummaryConsumer

      `consume, getOverallInfo, getSummaryInfos, hasOverallResult, setHasOverallResult, startConsuming, suppportsControllersDiscrimination`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

      `addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

      `getChannelAttribute, getSampleContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

      `getChannelAttribute, getSampleContext`

- - ### Constructor Detail

    - #### ErrorsSummaryConsumer

          public ErrorsSummaryConsumer()

      Instantiates a new errors summary consumer.

  - ### Method Detail

    - #### createDataResult

          protected ListResultData createDataResult(java.lang.String key,
                                                    java.lang.Long data)

      Description copied from class: `AbstractSummaryConsumer`
      Creates a result item for information identified by the specified key.
      Specified by:
        `createDataResult` in class `AbstractSummaryConsumer<java.lang.Long>`
      Parameters:
        `key` - the key
        `data` - the data
      Returns:
        the list result data

    - #### getKeyFromSample

          protected java.lang.String getKeyFromSample(Sample sample)

      Description copied from class: `AbstractSummaryConsumer`
      Gets the identifier key from sample.
      This key is use identify the SummaryInfo linked with the sample
      Specified by:
        `getKeyFromSample` in class `AbstractSummaryConsumer<java.lang.Long>`
      Parameters:
        `sample` - the sample
      Returns:
        the key identifying the sample

    - #### updateData

          protected void updateData(AbstractSummaryConsumer.SummaryInfo info,
                                    Sample sample)

      Description copied from class: `AbstractSummaryConsumer`
      Update the stored data with the data from the specified sample.
      Specified by:
        `updateData` in class `AbstractSummaryConsumer<java.lang.Long>`
      Parameters:
        `info` - SummaryInfo
        `sample` - the sample

    - #### stopConsuming

          public void stopConsuming()

      Description copied from interface: `SampleConsumer`
      Stops the consuming process. No sample will be processed after this service has been called.
      Specified by:
        `stopConsuming` in interface `SampleConsumer`
      Overrides:
        `stopConsuming` in class `AbstractSummaryConsumer<java.lang.Long>`

    - #### createResultTitles

          protected ListResultData createResultTitles()

      Description copied from class: `AbstractSummaryConsumer`
      Creates the result containing titles of columns.
      Specified by:
        `createResultTitles` in class `AbstractSummaryConsumer<java.lang.Long>`
      Returns:
        the list of titles

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.